# workaround parallel build issue
%global _smp_ncpus_max 4

# filter out webkit1 requires
%global __requires_exclude typelib\\(WebKit\\)

%define major 0
%define gmajor 1.0
%define extlibname %mklibname sugarext %{major}
%define extgirname %mklibname sugarext-gir %{gmajor}
%define devname %mklibname sugarext -d

Name:       sugar-toolkit-gtk3
Version:    0.121
Release:    %mkrel 2
Summary:    Sugar toolkit
Group:      Graphical desktop/Other
License:    LGPLv2+
URL:        https://wiki.laptop.org/go/Sugar
Source:     https://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.xz
Patch0:     sugar-toolkit-gtk3-0.107-link.patch
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi)
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: pkgconfig(pygobject-3.0)

Requires: python3-dbus
Requires: sugar-datastore
Requires: python3-simplejson
Requires: python3-dateutil
Requires: python3-gobject3
Requires: unzip

%description
Sugar is the core of the OLPC Human Interface. The toolkit provides
a set of widgets to build HIG compliant applications and interfaces
to interact with system services like presence and the data store.

This is the toolkit depending on GTK3.

%package -n %{devname}
Summary: Invocation information for accessing SugarExt-1.0
Group: System/Libraries
Requires: %{extlibname} = %{version}-%{release}
Requires: %{extgirname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the invocation information for accessing
the SugarExt-1.0 library through gobject-introspection.

%package -n %{extlibname}
Summary: Shared libraries for %{name}
Group: System/Libraries

%description -n %{extlibname}
This package contains the shared libraries for %{name}.

%package -n %{extgirname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{extlibname} = %{version}-%{release}

%description -n %{extgirname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="%{ldflags} -lm"
autoreconf -vfi
%configure
%make_build

%install
%make_install

# remove unwanted la files
find %{buildroot} -name "*.la" -delete

# drop python2 support
ln -sf sugar-activity3 %{buildroot}%{_bindir}/sugar-activity

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING
%{python3_sitelib}/*
%{_bindir}/sugar-activity
%{_bindir}/sugar-activity3
%{_bindir}/sugar-activity-web

%files -n %{extlibname}
%{_libdir}/libsugar-eventcontroller.so.%{major}
%{_libdir}/libsugar-eventcontroller.so.%{major}.*
%{_libdir}/libsugarext.so.%{major}
%{_libdir}/libsugarext.so.%{major}.*

%files -n %{extgirname}
%{_libdir}/girepository-1.0/SugarExt-%{gmajor}.typelib
%{_libdir}/girepository-1.0/SugarGestures-%{gmajor}.typelib

%files -n %{devname}
%{_libdir}/libsugar-eventcontroller.so
%{_libdir}/libsugarext.so
%{_datadir}/gir-1.0/SugarExt-%{gmajor}.gir
%{_datadir}/gir-1.0/SugarGestures-%{gmajor}.gir


%changelog
* Wed Mar 12 2025 papoteur <papoteur> 0.121-2.mga10
+ Revision: 2162984
- fix linking by adding -lm to LDFLAGS
- rebuild for python3.13

* Thu May 30 2024 papoteur <papoteur> 0.121-1.mga10
+ Revision: 2068788
- new version 0.121

* Fri Dec 29 2023 papoteur <papoteur> 0.120-4.mga10
+ Revision: 2024039
- rebuild for python 3.12

* Fri Oct 20 2023 papoteur <papoteur> 0.120-3.mga10
+ Revision: 1999735
- fix requirement on webkit2, 4.1 instead of 4.0

* Fri Oct 20 2023 papoteur <papoteur> 0.120-2.mga10
+ Revision: 1999728
- rebuild for webkit2 4.1

* Mon Jan 16 2023 daviddavid <daviddavid> 0.120-1.mga9
+ Revision: 1933889
- new version: 0.120

* Thu Mar 31 2022 umeabot <umeabot> 0.118-2.mga9
+ Revision: 1836356
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.118-1.mga9
+ Revision: 1774766
- version 0.118
- rebuild for python-3.10

* Wed Mar 24 2021 tv <tv> 0.117-2.mga9
+ Revision: 1708769
- rebuild for python 3.9

* Sat Dec 12 2020 wally <wally> 0.117-1.mga8
+ Revision: 1656004
- new version 0.117

* Mon Sep 21 2020 wally <wally> 0.116-4.mga8
+ Revision: 1629347
- add upstream patch to fix crash on startup

* Mon Feb 17 2020 umeabot <umeabot> 0.116-3.mga8
+ Revision: 1537235
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 27 2019 wally <wally> 0.116-2.mga8
+ Revision: 1456112
- fix dbus requires

* Sun Oct 27 2019 wally <wally> 0.116-1.mga8
+ Revision: 1456106
- new version 0.116
- drop python2 support

* Mon Sep 30 2019 zezinho <zezinho> 0.114-1.mga8
+ Revision: 1448461
- switch to pygobject
- new version 0.114

* Wed Mar 13 2019 wally <wally> 0.112-4.mga7
+ Revision: 1375743
- obsolete old gtk2 sugar-toolkit

* Thu Feb 28 2019 wally <wally> 0.112-3.mga7
+ Revision: 1370513
- fix linking patch
- add patch to drop webkit1 support

* Sun Sep 23 2018 umeabot <umeabot> 0.112-2.mga7
+ Revision: 1301234
- Mageia 7 Mass Rebuild

* Wed Jan 03 2018 zezinho <zezinho> 0.112-1.mga7
+ Revision: 1189984
- upgrade sugar to 0.112

* Sat Jun 03 2017 akien <akien> 0.110.0-1.mga6
+ Revision: 1106071
- Version 0.110.0 (fixes build)

* Sun May 08 2016 zezinho <zezinho> 0.108.1-1.mga6
+ Revision: 1010529
- new version

* Mon Jan 25 2016 zezinho <zezinho> 0.107.2-1.mga6
+ Revision: 927610
- new version

* Mon Jan 18 2016 zezinho <zezinho> 0.107.1-1.mga6
+ Revision: 925323
- bring back accidently removed patch
- new version 0.107.1
- fix patch
- new version

* Thu Sep 10 2015 zezinho <zezinho> 0.106.0-1.mga6
+ Revision: 875743
- new version

* Mon Jul 06 2015 wally <wally> 0.102.0-5.mga6
+ Revision: 852162
- libify pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.102.0-4.mga5
+ Revision: 742063
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.102.0-3.mga5
+ Revision: 724960
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.102.0-2.mga5
+ Revision: 689602
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 zezinho <zezinho> 0.102.0-1.mga5
+ Revision: 660280
- new version
+ pterjan <pterjan>
- Rebuild for new Python

* Wed May 28 2014 zezinho <zezinho> 0.101.5-1.mga5
+ Revision: 627312
- new version
- new version

* Sat Nov 02 2013 fwang <fwang> 0.98.5-2.mga5
+ Revision: 548845
- revert to 0.98.5
- add hard requires on python-gi
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ zezinho <zezinho>
- new version

* Wed Mar 13 2013 zezinho <zezinho> 0.98.5-1.mga3
+ Revision: 402341
- new bugfix version

* Mon Jan 14 2013 umeabot <umeabot> 0.98.3-3.mga3
+ Revision: 383710
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- disable verbose build
- update br

* Sun Jan 13 2013 fwang <fwang> 0.98.3-2.mga3
+ Revision: 369710
- more linkage fix
- more build order fix
- fix linakge
- fix build order

* Thu Dec 27 2012 zezinho <zezinho> 0.98.3-1.mga3
+ Revision: 335614
- new version

* Thu Dec 13 2012 zezinho <zezinho> 0.98.1-1.mga3
+ Revision: 330430
- fix build
- try to fix build
- fix configure
- new version

* Wed Nov 21 2012 zezinho <zezinho> 0.96.5-1.mga3
+ Revision: 320088
- new version

* Sat Feb 25 2012 fwang <fwang> 0.95.3-2.mga2
+ Revision: 214508
- br for pygtk-codeggen
- fix requires

* Sat Feb 25 2012 zezinho <zezinho> 0.95.3-1.mga2
+ Revision: 214240
- patch to fix underlink
- new version
- imported package sugar-toolkit-gtk3


* Sat Dec 24 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.95.2-2
- Fix devel dependencies

* Thu Dec 22 2011 Simon Schampijer <simon@laptop.org> - 0.95.2-1
- devel release 0.95.2
- incorporated review comments

* Sun Dec 11 2011 Simon Schampijer <simon@laptop.org> - 0.95.1-1
- devel release 0.95.1
